nixp.ru v3.0

20 октября 2017,
пятница,
15:47:13 MSK

DevOps с компанией «Флант»
Dmitry Ivanov написал 27 июня 2006 года в 20:06 (388 просмотров) Ведет себя как мужчина; открыл 9 тем в форуме, оставил 815 комментариев на сайте.

поставил 2.6.17, с патчем от kolivas

cdrecord от юзера не пишет :(

на устройство даны права на запись для группы.

Я чего-то не понимаю?

И все это на debian sarge….

Longobard

В рассылке Коливаса про это писали, посмотри архив :)

А с каким приоритетом запускаешь cdrecord?

Что говорит strace, прав на какой файл/девайс не хватает?

Dmitry Ivanov

нашел причину. Охренительную — надо было суидность снять с cdrecord

fly4life
Dmitry Ivanov
нашел причину. Охренительную — надо было суидность снять с cdrecord

Так это надо делать, если мне не изменяет память, уже аж с версии 2.6.9 (тут где-то на форуме, кстати, было уже упоминание сего факта).

Dmitry Ivanov

два дня назад у меня было запатченное 2.4.23 ;)

кстати, про снятие суида на форуме что-то не нашел…

fly4life
Dmitry Ivanov
два дня назад у меня было запатченное 2.4.23 ;)

Затянул с переходом? ;)

Dmitry Ivanov
кстати, про снятие суида на форуме что-то не нашел…

Вот в этой теме (правда, совсем уж вскользь упоминается):

http://www.nixp.ru/cgi-bin/forum/YaBB.pl?board=faq;action=display;num=1106414719

Genie

Дим, ты бы его просто обновил, пакет-то. cdrecord с какой-то не очень старой версии идёт «из коробки» без установленного suid-бита.

то же самое касается и growisofs.

Dmitry Ivanov
fly4life
Затянул с переходом? ;)

много разного железа, иногда в нештатном режиме.

Если бы не Vmware, я бы и не переходил… ;)

Genie
много разного железа, иногда в нештатном режиме.

о как. :)

Если бы не Vmware, я бы и не переходил… ;)

эээ. а что там с ней не так?

отломали поддержку ядер 2.4?

(а то я-то уже дааавно 2.6 использую..)

fly4life
Genie
эээ. а что там с ней не так?

отломали поддержку ядер 2.4?

(а то я-то уже дааавно 2.6 использую..)

Нет, вроде, ничего не ломали. По крайней мере, специально ;)

Dmitry Ivanov

специально или нет — но под моим 2.4 виртуальные машины запускаются один раз из 20-ти.

А вот 2.6 — все нормально.

fly4life

Хм. Смущает твоё «запатченное 2.4.23». Интересно, что там Коливас напатчил, если редхатовские и сусёвские дистрибутивы с ядрами 2.4.х даже официально поддерживаются (правда, это я исхожу из ссылки — Host Operating System Requirements — а не из собственного опыта). Да и очень интересно, что хоть и с 20-го раза, но всё-таки запускается…